{
    config,
    lib,
    pkgs,
    ...
}:
{
    # this actually does not enable xorg, but it is required for GDM
    services.xserver.enable = true;
    services.xserver.displayManager.gdm.enable = true;
    services.xserver.desktopManager.gnome.enable = true;
    # here we set wayland to be used
    services.xserver.displayManager.gdm.wayland = true;


    ## Slim down the gnome dependencies
    environment.gnome.excludePackages = (with pkgs; [
        gnome-photos
        gnome-tour
        geary
        gedit
        tali
        gnome-music
        cheese
        epiphany
        gnome-calendar
        gnome-maps
        simple-scan
        yelp
        gnome-disk-utility
        gnome-notes
        gnome-weather
        gnome-secrets
        gnome-characters
        gnome-font-viewer
        gnome-system-monitor
        gnome-text-editor
        gnome-connections
        gnome-clocks
        baobab
        gnome-contacts
        gnome-logs
    ]);

}
